using System;
    class Program
{
    static void Main(string[] args)
    {
        string[] unos = Console.ReadLine().Split();
        int n = Convert.ToInt32(unos[0]);
        int k = Convert.ToInt32(unos[1]);
        int x = Convert.ToInt32(unos[2]);
        int[]p = new int[n];
        int a = 0;
        int c = 1;
        string[] unos2 = Console.ReadLine().Split();
        for(int i = 0; i < n; i++)
        {
            p[i] = Convert.ToInt32(unos2[i]);
        }
        Console.WriteLine(1);
    }
}